<!DOCTYPE html>
<html>

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"
        integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
    <style>
        * {
            border: 0;
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            -webkit-touch-callout: none;
            -webkit-user-select: none;
            -khtml-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
        }

        body {
            background-color: #517ccc;
            font-family: Arial, Helvetica, sans-serif;
        }

        .calculator-container {
            background-color: #f1f1f1;
            display: none;
            left: 50%;
            position: absolute;
            top: 50%;
            transform: translate(-50%, -50%);
            -webkit-transform: translate(-50%, -50%);
            height: 400px;
            width: 300px;
        }

        .screen {
            padding: 0 10px;
            text-align: right;
            width: 100%;
        }

        .screen-operations {
            height: 60px;
            line-height: 60px;
        }

        .screen-result {
            height: 40px;
            line-height: 40px;
        }

        .keys-container {
            color: #f1f1f1;
            height: 300px;
            width: 100%;
            flex-flow: row wrap;
            display: flex;
        }

        .keys-numbers-container {
            background-color: #333333;
            height: 300px;
            width: 225px;
        }

        .keys-operations-container {
            background-color: #666666;
            height: 300px;
            width: 75px;
        }

        .keys-numbers-container,
        .keys-operations-container {
            display: inline-block;
            vertical-align: top;
        }

        .keys-numbers-line {
            height: 75px;
            width: 100%;
        }

        .keys-operations-line {
            height: 60px;
            width: 100%;
        }

        .keys-numbers-line,
        .keys-operations-line {
            flex-flow: row wrap;
            display: flex;
        }

        .key {
            cursor: pointer;
            display: inline-block;
            text-align: center;
            vertical-align: top;
        }

        .key:hover {
            background-color: #555555;
        }

        .keys-numbers-container .key {
            height: 75px;
            width: 75px;
            line-height: 75px;
        }

        .keys-operations-container .key {
            height: 60px;
            width: 75px;
            line-height: 60px;
        }

        @property --a {
            initial-value: 0deg;
            inherits: false;
            syntax: '<angle>';
        }

        .loader {
            padding: 1rem;
            font-family: monospace;
            font-weight: bold;
            color: #fff;
            border-style: solid;
            border-width: 1vmin;
            font-size: 2rem;
            -o-border-image: conic-gradient(#ffffff, transparent, transparent, #ffffff, #ffffff, transparent, transparent, #ffffff, transparent, transparent, #ffffff calc(var(--a))) 30;
            border-image: conic-gradient(#ffffff, transparent, transparent, #ffffff, #ffffff, transparent, transparent, #ffffff, transparent, transparent, #ffffff calc(var(--a))) 30;
            -webkit-animation: load 2s infinite ease-in-out;
            animation: load 2s infinite ease-in-out;

            left: 50%;
            position: absolute;
            top: 50%;
            transform: translate(-50%, -50%);
            -webkit-transform: translate(-50%, -50%);
        }

        @-webkit-keyframes load {

            0%,
            10% {
                --a: 0deg;
            }

            100% {
                --a: 360deg;
            }
        }

        @keyframes load {

            0%,
            10% {
                --a: 0deg;
            }

            100% {
                --a: 360deg;
            }
        }

        .logo {
            background-image: url(./img/lepa_logo_white500px.png);
            background-size: 100%;
            background-repeat: no-repeat;
            background-position: center;
            height: 200px;
            width: 200px;
        }
    </style>
</head>

<body>
    <div class="loader"><div class="logo"></div></div>
    <div class="calculator-container">
        <div id="screenOperations" class="screen screen-operations">
        </div>
        <div id="screenResult" class="screen screen-result">
            0
        </div>
        <div class="keys-container">
            <div class="keys-numbers-container">
                <div class="keys-numbers-line">
                    <div class="key">7</div>
                    <div class="key">8</div>
                    <div class="key">9</div>
                </div>
                <div class="keys-numbers-line">
                    <div class="key">4</div>
                    <div class="key">5</div>
                    <div class="key">6</div>
                </div>
                <div class="keys-numbers-line">
                    <div class="key">1</div>
                    <div class="key">2</div>
                    <div class="key">3</div>
                </div>
                <div class="keys-numbers-line">
                    <div class="key">.</div>
                    <div class="key">0</div>
                    <div class="key equals">=</div>
                </div>
            </div>
            <div class="keys-operations-container">
                <div class="keys-operations-line">
                    <div class="key">DEL</div>
                </div>
                <div class="keys-operations-line">
                    <div class="key">÷</div>
                </div>
                <div class="keys-operations-line">
                    <div class="key">x</div>
                </div>
                <div class="keys-operations-line">
                    <div class="key">-</div>
                </div>
                <div class="keys-operations-line">
                    <div class="key">+</div>
                </div>
            </div>
        </div>
    </div>
    <script>
        var currentNumber = '';
        var result = '';
        var currentTerm = '';
        var terms = [];

        $(document).ready(function () {
            init();
        });

        function init() {
            $('.calculator-container').hide();
            setTimeout(function() {
                $('.loader').remove();
                $('.calculator-container').show();
            }, 2000);
            handleNumberKeys();
            handleOperationKeys();
        }

        function handleNumberKeys() {
            $('.keys-numbers-container').find('.key').on('click', function (e) {
                if (this.classList.contains('equals')) {
                    if (currentNumber == '') return;

                    switch (currentNumber.slice(-1)) {
                        case 'DEL':
                            break;
                        case '+':
                        case '-':
                        case '÷':
                        case 'x':
                        case '.':
                            return;
                        default:
                            break;
                    }

                    if (currentTerm.indexOf('x') >= 0) {
                        var _terms = currentTerm.split('x');
                        var termResult = +_terms[0] * +_terms[1];
                        // terms.push(termResult);
                        terms.splice(terms.length - 1, 1, termResult);
                    } else if (currentTerm.indexOf('÷') >= 0) {
                        var _terms = currentTerm.split('÷');
                        var termResult = +_terms[0] / +_terms[1];
                        // terms.push(termResult);
                        terms.splice(terms.length - 1, 1, termResult);
                    } else if (currentTerm != '') {
                        terms.push(+currentTerm);
                    }

                    var total = terms.reduce((a, b) => +a + +b, 0);
                    $('#screenResult').text(total);
                    $('#screenOperations').text('');
                    currentNumber = '';
                    currentTerm = '';
                    result = '';
                    terms = [];
                } else {
                    if (currentNumber == '' && +this.innerText == 0) return;
                    if (currentNumber.slice(-1) == '.' && this.innerText == '.') return;
                    if (currentTerm.indexOf('x') < 0 && currentTerm.indexOf('÷') < 0 && this.innerText == '.' && currentTerm.indexOf('.') >= 0) return;

                    if (currentTerm.indexOf('x') >= 0) {
                        var _terms = currentTerm.split('x');

                        if (_terms.length == 2) {
                            if (_terms[1] && _terms[1].indexOf('.') >= 0 && this.innerText == '.') {
                                return;
                            }
                        }
                    } else if (currentTerm.indexOf('÷') >= 0) {
                        var _terms = currentTerm.split('÷');

                        if (_terms.length == 2) {
                            if (_terms[1] && _terms[1].indexOf('.') >= 0 && this.innerText == '.') {
                                return;
                            }
                        }
                    }

                    currentNumber += this.innerText;
                    currentTerm += this.innerText;
                    $('#screenOperations').text(currentNumber);
                }
            });
        }

        function handleOperationKeys() {
            $('.keys-operations-container').find('.key').on('click', function (e) {
                if (this.innerText == 'DEL') {
                    currentNumber = '';
                    currentTerm = '';
                    result = '';
                    terms = [];
                    $('#screenResult').text(0);
                    $('#screenOperations').text('');
                    return;
                }

                if (currentNumber == '') return;

                switch (currentNumber.slice(-1)) {
                    case 'DEL':
                        break;
                    case '+':
                    case '-':
                    case '÷':
                    case 'x':
                    case '.':
                        return;
                    default:
                        break;
                }

                currentNumber += this.innerText;

                switch (this.innerText) {
                    case '+':
                        if (currentTerm.indexOf('x') >= 0) {
                            var _terms = currentTerm.split('x');
                            var termResult = +_terms[0] * +_terms[1];
                            terms.push(termResult);
                        } else if (currentTerm.indexOf('÷') >= 0) {
                            var _terms = currentTerm.split('÷');
                            var termResult = +_terms[0] / +_terms[1];
                            terms.push(termResult);
                        } else if (currentTerm == '-') {
                            terms.push(+(currentTerm + '-'));
                        } else {
                            terms.push(+currentTerm);
                        }

                        currentTerm = '';
                        break;
                    case '-':
                        if (currentTerm.indexOf('x') >= 0) {
                            var _terms = currentTerm.split('x');
                            var termResult = +_terms[0] * +_terms[1];
                            terms.push(termResult);
                        } else if (currentTerm.indexOf('÷') >= 0) {
                            var _terms = currentTerm.split('÷');
                            var termResult = +_terms[0] / +_terms[1];
                            terms.push(termResult);
                        } else if (currentTerm == '-') {
                            terms.push(+(currentTerm + '-'));
                        } else {
                            terms.push(+currentTerm);
                        }

                        currentTerm = '-';
                        break;
                    case '÷':
                    case 'x':
                        if (currentTerm.indexOf('x') >= 0) {
                            var _terms = currentTerm.split('x');
                            var termResult = +_terms[0] * +_terms[1];
                            terms.splice(terms.length - 1, 1, termResult)
                            currentTerm = termResult + this.innerText;
                        } else if (currentTerm.indexOf('÷') >= 0) {
                            var _terms = currentTerm.split('÷');
                            var termResult = +_terms[0] / +_terms[1];
                            terms.splice(terms.length - 1, 1, termResult)
                            currentTerm = termResult + this.innerText;
                        } else if (currentTerm == '-') {
                            terms.push(+(currentTerm + '-'));
                        } else {
                            terms.push(+currentTerm);
                            currentTerm += this.innerText;
                        }

                        break;
                    default:
                        break;
                }

                $('#screenOperations').text(currentNumber);
            });
        }
    </script>
</body>

</html>